<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$vias=$sessao->getVar('controle1');//numero de via etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-20;//era16
			 $larguraUtil=$maximoLAdobe-20;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=180;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Line($margemEsquerda,1,$margemDireita+9,1);//linha no topo
             $pdf->Rect($margemEsquerda,30,$larguraUtil,$futer-40);


			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);
			 $pdf->Cell($larguraUtil,6,utf8_decode('DIAGNOSE QUALITATIVA'),1,1,'C',1);//lab nome
			 
			 $vetorCabecalho=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,$margemEsquerda,3,48,23,'JPG');
			 
			 $y=5;
	         $pdf->SetFont('Times','B',9);
			 $pdf->setXY($posicaoCab1,$y);	        $pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'C');//lab nome
			 $y+=5;$pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'C');//lab nome
			 $y+=5; $pdf->setXY($posicaoCab1,$y);	$pdf->Cell(140,5,utf8_decode($vetorCabecalho[4]),0,1,'C');//lab nome
 
            
			//SETOR DE IDENTIFICACAO DA AMOSTRA
			 //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
			$cota1=40; 
			//$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
	        $pdf->SetFont('Arial','B',16);
            $pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,utf8_decode('AMOSTRA Nº:'.$amostra.'/'.$ano),0,0,'L');//amostra
	        $pdf->SetFont('Times','B',10);

		   // $pdf->Cell(140,5,utf8_decode('Requerente:'.$nome),1,1,'L');//
		    /*
			$pdf->Cell(50,5,'Lote:'.$lote,1,0,'L');//lote
		    $pdf->Cell(140,5,'Cultivar:'.$cultivar,1,1,'L');//
            */
			$pdf->setXY($margemEsquerda,$y+15);
			
			$objetocalculo=new calculos();
			$matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
			$campo100="";
			for($i=1;$i<=37;$i++):
			   $campo100=$campo100.$matrizResumo[$i].'x';
			endfor;
		    //$pdf->Cell(50,5,'campo100='.$campo100,1,1,'L');//amostra
			
			//vai preparar para mostrar os dados

			$vigor=$matrizResumo[11];
			//$y+=15;
			//$pdf->setXY($margemEsquerda,$y);
            //venho aqui e digo o que eu quero imprimir  
            $controle='Dimicron';

            if($controle=='Dimicron'):
	            $vetorIndice[1]=11;//vigor
	            $vetorIndice[2]=10;//viabilidade
	            $vetorIndice[3]=6;//dm-morta
	            $vetorIndice[4]=9;//du-morta
	            $vetorIndice[5]=3;//dp-morta
	            $vetorIndice[6]=20;//sem dano
	            $vetorIndice[7]=21;//m2
	            $vetorIndice[8]=22;//u2
	            $vetorIndice[9]=23;//p2
	            $vetorIndice[10]=24;//m3
	            $vetorIndice[11]=25;//u3
	            $vetorIndice[12]=26;//p3
	            $vetorIndice[13]=27;//m4
	            $vetorIndice[14]=28;//u4
	            $vetorIndice[15]=29;//p4
	            $vetorIndice[16]=30;//m5
	            $vetorIndice[17]=31;//u5
	            $vetorIndice[18]=32;//p5
	            $vetorIndice[19]=13;//r3
	            $vetorIndice[20]=36;//obs
	            $limite=20;
                $larg1=11;
                $larg2=21;
            endif; 

			
		// 1 PARTE   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX	
		$alturaEscala=7.3;
		
		$largura1=90;
		$largura2=90;
	    $posicaoXEscala=$largura1+10;
		$y=50;
		$inicioTudo=$y;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(180,180,180); //cinza
		$pdf->Cell($largura1,6.5,utf8_decode('AVALIAÇÃO DE VIABILIDADE'),1,0,'L',1);//
		$caminhoFinal="Imagens/escalaDimicron.jpg";
		$pdf->Image($caminhoFinal,$posicaoXEscala,$y-0.7,100,$alturaEscala,'JPG');

        $dm=$matrizResumo[1];//dano mecanico
        $du=$matrizResumo[4];//dano umidade
        $dp=$matrizResumo[7];//dano percevejo
		$md=$matrizResumo[12];//sementes duras
		$mv=$matrizResumo[14];//sementes venrdes ou embrionarias ou deformadas geneticamente
		$mup=$matrizResumo[37];//sementes com 3 danos mup


		$pdf->SetFillColor(0,250,0); //verde
		$y+=6.5;
		$pdf->setXY(10,$y);
		$valor=$matrizResumo[15];//sem danos ou clsse 1
		$pdf->Cell($largura1,6.5,'MAIS ALTO VIGOR. . . . . . . . . . . . . . . . . . . . . . . . . . .'.$valor.'%',1,0,'L');//
		if($valor>0)$pdf->Cell($valor,6.5,'  ',1,1,'L',1);	
		
		
        $y+=6.5;
		$valor=$matrizResumo[16];//alto vigor ou  classe2
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'ALTO VIGOR. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$valor.'%',1,0,'L');//
        if($valor>0)$pdf->Cell($valor,6.5,'  ',1,1,'L',1);
		$y+=6.5;
		$valor=$matrizResumo[17];//medio vigor ou  classe3
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode ('MÉDIO VIGOR. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ').$valor.'%',1,0,'L');//
        if($valor>0)$pdf->Cell($valor,6.5,'  ',1,1,'L',1);
		
        //SETOR AMARELO
		$y+=6.5;
		$valor=0;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(250,250,0); 
		$pdf->Cell($largura1,6.5,'BAIXO VIGOR. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$valor.'%',1,0,'L');//
        if($valor>0)$pdf->Cell($valor,6.5,'  ',1,1,'L',1);

		$y+=6.5;
		$valor=0;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'MUITO BAIXO VIGOR . . . . . . . . . . . . . . . . . . . . . . . .'.$valor.'%',1,0,'L');//
        if($valor>0)$pdf->Cell($valor,6.5,'  ',1,1,'L',1);

        $y+=6.5;
		//SETOR vermelho
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(250,0,0); 
		$mortas=100-$matrizResumo[10];
		$pdf->Cell($largura1,6.5,'SEM VIABILIDADE. . . . . . . . . . . . . . . . . . . . . . . . . . . '.$mortas.'%',1,0,'L');//
        if($mortas>0)$pdf->Cell($mortas,6.5,'  ',1,1,'L',1);

		$y+=6.5;
		$pdf->setXY(10,$y);
        $durasAnormaisEmbrionaria=$matrizResumo[12]+$matrizResumo[14];		
		$pdf->Cell($largura1,6.5,'DURAS+ANOMALIA EMBRIONARIA. . . . . . . . . . .'.$durasAnormaisEmbrionaria.'%',1,0,'L');//
        if($durasAnormaisEmbrionaria>0)$pdf->Cell($durasAnormaisEmbrionaria,6.5,'  ',1,1,'L',1);
			
//2 PARTEXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
        $y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(180,180,180); //cinza
		$pdf->Cell($largura1,6.5,utf8_decode('AVALIAÇÃO DOS DANOS INDIVIDUAIS'),1,0,'L',1);//
		$caminhoFinal="Imagens/escalaDimicron.jpg";
		$pdf->Image($caminhoFinal,$posicaoXEscala,$y-0.7,100,$alturaEscala,'JPG');

		$pdf->SetFillColor(250,0,0); //vermelho
		$y+=6.5;


		$pdf->setXY(10,$y);
		$soma=$mup;
		$pdf->Cell($largura1,6.5,utf8_decode('MECÂNICO, UMIDADE, PERCEVEJO. . . . . . . . . . ').$soma.'%',1,0,'L');//
		if($soma>0)$pdf->Cell($soma,6.5,'  ',1,1,'L',1);
		$y+=6.5;
		
		$soma=$mup-$dm;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'UMIDADE, PERCEVEJO. . . . . . . . . . . . . . . . . . . . . . .'.$soma.'%',1,0,'L');//
		if($soma>0)$pdf->Cell($soma,6.5,'  ',1,1,'L',1);
$y+=6.5;
		$soma=$mup-$dp;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode ('MECÂNICO, UMIDADE. . . . . . . . . . . . . . . . . . . . . . . .').$soma.'%',1,0,'L');//
		if($soma>0)$pdf->Cell($soma,6.5,'  ',1,1,'L',1);
		 $y+=6.5;
		$soma=$mup-$du;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode('MECÂNICO, PERCEVEJO . . . . . . . . . . . . . . . . . . . . .').$soma.'%',1,0,'L');//
		if($soma>0)$pdf->Cell($soma,6.5,'  ',1,1,'L',1);
$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'UMIDADE  . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$du.'%',1,0,'L');//
		if($du>0)$pdf->Cell($du,6.5,'  ',1,1,'L',1);

 $y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode('MECÂNICO . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .').$dm.'%',1,0,'L');//
		if($dm>0)$pdf->Cell($dm,6.5,'  ',1,1,'L',1);
        $y+=6.5;
		$pdf->setXY(10,$y);
        $pdf->Cell($largura1,6.5,'PERCEVEJO . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$dp.'%',1,0,'L');//
		if($dp>0)$pdf->Cell($dp,6.5,'  ',1,1,'L',1);
			
//3 PARTE  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(180,180,180); //cinza
		$pdf->Cell($largura1,6.5,utf8_decode('AVALIAÇÃO TOTAL DOS DANOS'),1,0,'L',1);//
		$caminhoFinal="Imagens/escalaDimicron.jpg";
		$pdf->Image($caminhoFinal,$posicaoXEscala,$y-0.7,100,$alturaEscala,'JPG');

		$pdf->SetFillColor(250,0,0); //vermelho
		$y+=6.5;
		
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'UMIDADE . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$du.'%',1,0,'L');
		if($du>0)$pdf->Cell($du,6.5,'  ',1,1,'L',1);
$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode('MECÂNICO  . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .').$dm.'%',1,0,'L');//
		if($dm>0)$pdf->Cell($dm,6.5,'  ',1,1,'L',1);
$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'PERCEVEJO. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$dp.'%',1,0,'L');//
		if($dp>0)$pdf->Cell($dp,5,'  ',1,1,'L',1);
		
	//4 PARTE   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(180,180,180); //cinza
		$pdf->Cell($largura1,6.5,utf8_decode('AVALIAÇÃO DA PERDA DA VIABILIDADE'),1,0,'L',1);//
		$caminhoFinal="Imagens/escalaDimicron.jpg";
		$pdf->Image($caminhoFinal,$posicaoXEscala,$y-0.7,100,$alturaEscala,'JPG');

		$pdf->SetFillColor(250,0,0); //vermelho
		$y+=6.5;
		$pdf->setXY(10,$y);
		//mortas por cada dano
		$mm=$matrizResumo[3];
		$mu=$matrizResumo[6];
		$mp=$matrizResumo[9];
		
		$pdf->Cell($largura1,6.5,'DANOS POR UMIDADE . . . . . . . . . . . . . . . . . . . . . . . .'.$mu.'%',1,0,'L');//
		if($mu>0)$pdf->Cell($mu,6.5,'  ',1,1,'L',1);
		$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode('DANOS MECÂNICOS. . . . . . . . . . . . . . . . . . . . . . . . . . ').$mm.'%',1,0,'L');//
		if($mm>0)$pdf->Cell($mm,6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1	
		$y+=6.5;
        $pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'DANOS POR PERCEVEJO. . . . . . . . . . . . . . . . . . . . . .'.$mp.'%',1,0,'L');//
		if($mp>0)$pdf->Cell($mp,6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1	
$y+=6.5;
        $pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,'SEMENTES DURAS. . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$md.'%',1,0,'L');//
		if($md>0)$pdf->Cell($mm,6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1	
$y+=6.5;
        $pdf->setXY(10,$y);
		$pdf->Cell($largura1,6.5,utf8_decode('ANOMALIA EMBRIONÁRIA . . . . . . . . . . . . . . . . . . .').$mv.'%',1,0,'L');//
		if($mv>0)$pdf->Cell($mv,6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1	
		
		//5 PARTE XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
		$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(180,180,180); //cinza
		$pdf->Cell($largura1,6.5,utf8_decode('CONCLUSÃO'),1,0,'L',1);//
		$caminhoFinal="Imagens/escalaDimicron.jpg";
		$pdf->Image($caminhoFinal,$posicaoXEscala,$y-0.7,100,$alturaEscala,'JPG');


		$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(250,250,0); //amarelo
		$pdf->Cell($largura1,6.5,'VIABILIDADE  . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$matrizResumo[10].'%',1,0,'L');//
		if($matrizResumo[10]>0)$pdf->Cell($matrizResumo[10],6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1
$y+=6.5;
		$pdf->setXY(10,$y);
		$pdf->SetFillColor(0,250,0); //verde	
		$pdf->Cell($largura1,6.5,'VIGOR . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .'.$matrizResumo[11].'%',1,0,'L');//
		if($matrizResumo[11]>0)$pdf->Cell($matrizResumo[11],6.5,'   ',1,1,'L',1);//a massa de dados todos com largura 1
		
#####################LOCAL DATA###############


	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
	 $y+=6.5;
	 $posicao2=115;	 
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,125,$y+7,62,14,'JPG');
     endif;
	 $y+=6.5;
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($margemEsquerda,$y);
	 //$dataHoje=date();
	 //$dataLaudo=date("d/m/Y",strtotime($dataHoje));
     $dataLaudo=date("d/m/Y");
$pdf->SetFont('Times','',12);
	 $pdf->Cell(85,4.5,utf8_decode($vetorCabecalho[6]).", ".$dataLaudo ,'0',1,'C');
$pdf->SetFont('Times','',8);
	 //$pdf->Cell(85,4.5,'xxxxx'.", ".$vetorDadosDocumento[27] ,'0',1,'L');
$y+=8;
	 $pdf->line(130,$y+2,190,$y+2);  //linha horizontal
	 $pdf->line(100,$y-17,100,$y+24);//linha vertical a esquerda do tecnico
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$y-2);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[0]),'0',1,'C');
     $pdf->setXY($posicao2,$y+2);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$y+6);
	 $pdf->Cell(88,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');	
	 $pdf->setXY($posicao2,$y+10);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[7]),'0',1,'C');	 


	 //imprime o rodapé
     $pdf->SetFont('Arial','',6);
	 $pdf->setXY($margemEsquerda,$y+24);
	 $pdf->Cell(120,4.5,utf8_decode('               Av.Santa Bárbara do Sul,377 - Cruz Alta - RS   CEP 98030-440                  '),0,0,'C');	
	 $pdf->Cell(70,4.5,utf8_decode($vias),0,1,'R');	
	 
//enche de tracos horizontais

for($i=1;$i<=30;$i++):	 	
   $pdf->Line(100,$inicioTudo,$margemDireita+10,$inicioTudo);
   $inicioTudo+=6.5;
endfor;
		
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
